Bug 170142 - traceback when calling sabayon in remote X session
traceback when calling sabayon in remote X session
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sabayon (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 13:53 EDT by Andrew
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 04:20:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew 2005-10-07 13:53:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:


Version-Release number of selected component (if applicable):
sabayon-0.18-1

How reproducible:
Always

Steps to Reproduce:
1. Log into X remotely
2. Start Sabayon
3. Try to edit a profile
  

Actual Results:  Traceback occurs, and I cannot edit any profiles.

Traceback (most recent call last):
  File "/usr/libexec/sabayon-session", line 48, in ?
    session.start ()
  File "/var/tmp/sabayon-0.18-1-root-machbuild/usr/lib/python2.4/site-packages/sabayon/protosession.py", line 520, in start
  File "/var/tmp/sabayon-0.18-1-root-machbuild/usr/lib/python2.4/site-packages/sabayon/protosession.py", line 320, in __start_xnest
  File "/var/tmp/sabayon-0.18-1-root-machbuild/usr/lib/python2.4/site-packages/sabayon/protosession.py", line 254, in __write_temp_xauth_file
  File "/var/tmp/sabayon-0.18-1-root-machbuild/usr/lib/python2.4/site-packages/sabayon/protosession.py", line 235, in __get_xauth_record
sabayon.protosession.XauthParseError: 'xauth list' returned no records or records in unknown format


Expected Results:  I should be able to edit profiles remotely.

Additional info:

When I login locally, I can edit profiles without a traceback.

I am using Linux Terminal Server Project (LTSP) 4.1 to login remotely.

Sabayon is made to manage multiuser systems, and one common type is a terminal server where remote login is typical.
Comment 1 Alexander Larsson 2005-11-30 04:20:11 EST
This should be fixed in 2.12.1.

Note You need to log in before you can comment on or make changes to this bug.